package musicrepos.faces;

import java.sql.SQLException;

import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import musicrepos.mvc.model.User;
import musicrepos.mvc.model.UserDAO;

public class LoginBean {
	private String login;

	private String password;

	public String getLogin() {
		return login;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String verify() {
		UserDAO userDAO = new UserDAO();

		User user;
		try {
			user = userDAO.getUser(this.getLogin());
		} catch (SQLException e) {
			System.err.println("Problem accessing data base");
			return "fail";
		}

		if (user != null && (user.getPassword().compareTo(this.getPassword()) == 0)) {
			FacesContext context = FacesContext.getCurrentInstance();
			HttpServletRequest request = (HttpServletRequest) context.getExternalContext().getRequest();
			HttpSession session = request.getSession();
			session.setAttribute("sessionUser", user);

			return "success";
		} else {
			return "fail";
		}

	}
}
