package musicrepos.mvc.controller;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import musicrepos.mvc.model.User;
import musicrepos.mvc.model.UserDAO;

public class Login implements BusinessLogic {

	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response) throws Exception {
		UserDAO userDAO = new UserDAO();
		RequestDispatcher rd;

		User user = userDAO.getUser(request.getParameter("login"));

		if (user != null && (user.getPassword().compareTo(request.getParameter("password")) == 0)) {
			HttpSession session = request.getSession();
			session.setAttribute("sessionUser", user);

			rd = request.getRequestDispatcher("/index.jsp");
		} else {
			request.setAttribute("teste", request.getParameter("login"));
			rd = request.getRequestDispatcher("/invalidLogin.jsp");
		}
		rd.forward(request, response);
	}

}
