package musicrepos.mvc.controller;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import musicrepos.mvc.model.User;
import musicrepos.mvc.model.UserDAO;

public class RegisterUser implements BusinessLogic {

	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response) throws Exception {
		RequestDispatcher rd;

		UserDAO userDAO = new UserDAO();
		User user = new User();

		user.setId(userDAO.countTableEntries() + 1);
		user.setName(request.getParameter("name"));
		user.setLogin(request.getParameter("login"));
		user.setPassword(request.getParameter("password"));
		user.setEmail(request.getParameter("email"));

		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		Date date = null;
		date = sdf.parse(request.getParameter("birthdate"));
		user.setBirthdate(date);

		userDAO.persist(user);

		request.getSession().invalidate();
		request.getSession().setAttribute("sessionUser", user);

		rd = request.getRequestDispatcher("/usersList.jsp");
		rd.forward(request, response);
	}
}
