package musicrepos.util;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

public class FileSystemControl {

	public static String getApplicationPath(HttpServletRequest request) {
		ServletContext context = request.getSession().getServletContext();
		String appPath = context.getRealPath("");

		return appPath;
	}

	public static String getMusicRepositoryPath() {
		String homeDir = System.getProperty("user.home") + System.getProperty("file.separator");
		return homeDir + "MusicRepository";
	}

	public static String getMusicPath(HttpServletRequest request) {
		return (getApplicationPath(request) + "/music");
	}

}
