package musicrepos.mvc.controller;

import javax.servlet.RequestDispatcher;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class Logout implements BusinessLogic {

	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response) throws Exception {
		HttpSession session = request.getSession(false);

		if (session != null) {
			session.invalidate();
		}

		RequestDispatcher rd = request.getRequestDispatcher("/login2.jsf");
		rd.forward(request, response);
	}

}
