package musicrepos.mvc.model;

public class Music {
	private int id;

	private String title;

	private String artist;

	private String album;

	private String genre;

	private int year;

	private String pathname;

	private int userId;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getArtist() {
		return artist;
	}

	public void setArtist(String artist) {
		this.artist = artist;
	}

	public String getAlbum() {
		return album;
	}

	public void setAlbum(String album) {
		this.album = album;
	}

	public String getGenre() {
		return genre;
	}

	public void setGenre(String genre) {
		this.genre = genre;
	}

	public int getYear() {
		return year;
	}

	public void setYear(int year) {
		this.year = year;
	}

	public String getPathname() {
		return pathname;
	}

	public void setPathname(String pathname) {
		this.pathname = pathname;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj instanceof Music) {
			Music otherMusic = (Music) obj;
			return (this.getPathname().compareTo(otherMusic.getPathname()) == 0);
		}
		return super.equals(obj);
	}

	@Override
	public int hashCode() {
		int hash = 31 * this.getPathname().hashCode();

		return hash;
	}
}
