package musicrepos.util;

import musicrepos.mvc.model.Music;
import entagged.audioformats.AudioFile;

public class MusicCreator {
	public static Music createMusicFromTag(AudioFile audioFile) {
		Music music = new Music();

		music.setTitle(audioFile.getTag().getFirstTitle());
		music.setArtist(audioFile.getTag().getFirstArtist());
		music.setAlbum(audioFile.getTag().getFirstAlbum());
		music.setGenre(audioFile.getTag().getFirstGenre());
		music.setYear(Integer.parseInt(audioFile.getTag().getFirstYear()));

		return music;
	}
}
